!! Berechnet Widerstandsmomente und Traegheitsmomente eines Rechteck-
!! querschnittes (c) sdteffen 5/97

  program W_I_Bemessung
   implicit none

!! Deklaration Variable und Initialisierung Eingabevariablen 

   real :: rBreite = 0, rHoehe = 0, rA, rWx, rWy, rIx, rIy

!! Eingabe

   write(*,'(A)', advance='no')' Eingabe der Breite : '
   read(*,*)rBreite
   write(*,'(A)',advance='no')'Eingabe der Hoehe  : ' 
   read(*, *)rHoehe

!! Berechnung

   rA= rHoehe * rBreite
   rWx = rBreite * rHoehe ** 2 / 6
   rWy = rHoehe * rBreite ** 2 / 6         
   rIx = rBreite * rHoehe ** 3 / 12
   rIy = rHoehe * rBreite ** 3 / 12

!! Ausgabe

   write(*,'(A)')'Ergebnisse'
   write(*,'(A)')'-----------------------------------------'
   write(*,"(' Querschnittflaeche          : ', f10.3)")rA
   write(*,"(' Widerstandsmoment um x-Achse: ', f10.3)")rWx    
   write(*,"(' Widerstandsmoment um y-Achse: ', f10.3)")rWy    
   write(*,"(' Traegheits-moment um x-Achse: ', f10.3)")rIx    
   write(*,"(' Traegheits-moment um y-Achse: ', f10.3)")rIy    
   stop "Cut it off, butthead!"
  end program W_I_Bemessung
